Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 160240 - removing /etc/cluster out from under the GUI will cause a traceback when saving
Summary: removing /etc/cluster out from under the GUI will cause a traceback when saving
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Cluster Suite
Classification: Retired
Component: redhat-config-cluster
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jim Parsons
QA Contact: Cluster QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-13 19:20 UTC by Corey Marthaler
Modified: 2009-04-16 20:09 UTC (History)
2 users (show)

Fixed In Version: RHBA-2005-753
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-10-07 16:47:59 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2005:753 normal SHIPPED_LIVE system-config-cluster bug update 2005-10-07 04:00:00 UTC

Description Corey Marthaler 2005-06-13 19:20:16 UTC
Description of problem:
Start GUI with a valid config, make change, remove the dirrectory /etc/cluster
and then attempt to save that file.

Traceback (most recent call last):
  File "/usr/sbin/system-config-cluster", line 276, in save
    if self.model_builder.exportModel() == TRUE:
  File "/usr/share/system-config-cluster/ModelBuilder.py", line 371, in exportModel
    self.backup_configfile()
  File "/usr/share/system-config-cluster/ModelBuilder.py", line 761, in
backup_configfile
    dir = os.listdir(CLUSTER_CONF_DIR_PATH)
OSError: [Errno 2] No such file or directory: '/etc/cluster/'

Version-Release number of selected component (if applicable):
system-config-cluster-1.0.12-1.0

Comment 1 Stanko Kupcevic 2005-08-03 16:58:59 UTC
Fixed in Errata Candidate

Comment 2 Corey Marthaler 2005-09-07 14:43:41 UTC
fix verified in 1.0.15

Comment 3 Red Hat Bugzilla 2005-10-07 16:47:59 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-753.html



Note You need to log in before you can comment on or make changes to this bug.